GETDTABLESIZE(2)

NAME
getdtablesize - get descriptor table size

SYNOPSIS
#include <unistd.h>

int getdtablesize(void);

DESCRIPTION
getdtablesize returns the maximum number of files a process can have open.

NOTES
getdtablesize is implemented as a library function in DLL 4.4.1. This function returns OPEN_MAX (set to 256 in Linux 2.0.23) if OPEN_MAX was defined when the library was compiled. Otherwise, -1 is returned, and errno is set to ENOSYS.

CONFORMING TO
SVr4, 4.4BSD (the getdtablesize function first appeared in BSD 4.2).

SEE ALSO
close(2), dup(2), open(2)